id: 21
createTime: 2025-08-25T17:29:39.765505042Z
name: tackleTestApp_Source+dependencies_openjdk17_test-app-quasi137.5.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=openjdk21
        path: ""
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: true
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 5
    name: tackleTestApp_Source+dependencies_openjdk17_test-app-quasi137
bucket:
    id: 37
    name: ""
started: 2025-08-25T17:31:43.50173759Z
terminated: 2025-08-25T17:41:05.947003225Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-08-25T17:29:40.32577294Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-08-25T17:29:40.339064513Z
    - kind: Postponed
      count: 117
      reason: Rule:Unique matched:21, other:20
      last: 2025-08-25T17:31:42.381648251Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-21-9bnf8
      last: 2025-08-25T17:31:43.548000893Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-08-25T17:31:45.637850262Z
    - kind: PodRunning
      count: 420
      last: 2025-08-25T17:39:06.185913407Z
    - kind: PodSucceeded
      count: 1
      last: 2025-08-25T17:39:06.185913988Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-08-25T17:39:06.263150466Z
    - kind: PodDeleted
      count: 1
      last: 2025-08-25T17:41:05.946856139Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[SSH] Home (directory): /addon'
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Home (directory): /addon/.git/6e4ab37'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
    - '[GIT] Using credentials (id=26) phiWbr.'
    - '[FILE] Created /addon/.git/6e4ab37/.gitconfig.'
    - '[FILE] Created /addon/.git/6e4ab37/.git-credentials.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/tackle-testapp /shared/source/tackle-testapp'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=23 (openjdk21)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=15 (openjdk17/openjdk11)'
    - '[RULESET] fetching: id=13 (openjdk7/oraclejdk7)'
    - '[RULESET] fetching: id=14 (openjdk11/openjdk8)'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/insights.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/rulesets/23/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/15/rules --rules /addon/rules/rulesets/13/rules --rules /addon/rules/rulesets/14/rules --label-selector konveyor.io/target=openjdk21'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 5.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 1 reported. duration: 778.161178ms'
    - Facts updated.
    - Done.
attached:
    - id: 421
      name: ssh-agent.output
      activity: 10
    - id: 422
      name: git.output
      activity: 18
    - id: 425
      name: settings.yaml
      activity: 25
    - id: 426
      name: konveyor-analyzer.output
      activity: 26
    - id: 427
      name: git.output
      activity: 29
    - id: 423
      name: addon.log
    - id: 424
      name: java.log
    - id: 429
      name: pod.yaml
